Bug 243985 - net-im/telegram-purple: update to 1.4.3
Summary: net-im/telegram-purple: update to 1.4.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Hiroki Tagato
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-02-08 17:39 UTC by jjuanino
Modified: 2020-05-05 12:54 UTC (History)
1 user (show)

See Also:


Attachments
net-im/telegram-purple: update to 1.4.2 (3.33 KB, patch)
2020-02-08 17:39 UTC, jjuanino
no flags Details | Diff
net-im/telegram-purple: update to 1.4.2 (3.32 KB, patch)
2020-02-08 17:50 UTC, jjuanino
no flags Details | Diff
update to 1.4.3 (5.98 KB, patch)
2020-05-02 10:07 UTC, jjuanino
jjuanino: maintainer-approval+
Details | Diff
Poudriere failed build log (81.44 KB, text/plain)
2020-05-03 10:08 UTC, Hiroki Tagato
no flags Details
net-im/telegram-purple: update to 1.4.3 (7.04 KB, patch)
2020-05-03 11:37 UTC, jjuanino
jjuanino: maintainer-approval+
Details | Diff
net-im/telegram-purple: update to 1.4.3 (6.96 KB, patch)
2020-05-05 10:35 UTC, jjuanino
jjuanino: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jjuanino 2020-02-08 17:39:37 UTC
Created attachment 211478 [details]
net-im/telegram-purple: update to 1.4.2

Changelog: 

https://raw.githubusercontent.com/majn/telegram-purple/v1.4.2/CHANGELOG.md
Comment 1 jjuanino 2020-02-08 17:50:25 UTC
Created attachment 211479 [details]
net-im/telegram-purple: update to 1.4.2

Please forget the previous attach, as it contains an invalid email address in git patch
Comment 2 Automation User 2020-02-08 19:53:33 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/116173166
Comment 3 Automation User 2020-04-11 02:12:17 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/134916512
Comment 4 Hiroki Tagato freebsd_committer 2020-05-01 12:04:14 UTC
Hi,

There is a newer version (1.4.3) on GitHub. Would you care to update the patch to the latest version?

Also, you can use USES=localbase:ldflags instead of directly specifying LDFLAGS+=-L${LOCALBASE}/lib.
(https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/uses-localbase.html)
Comment 5 jjuanino 2020-05-02 10:07:27 UTC
Created attachment 214023 [details]
update to 1.4.3

Hi, I submit a new patch to consider your suggestions and some other improvements. Take a look at the comments in the git format-patch commit enclosed.
Comment 6 Hiroki Tagato freebsd_committer 2020-05-03 10:08:38 UTC
Created attachment 214050 [details]
Poudriere failed build log

(In reply to jjuanino from comment #5)

Hi, thanks for updating the patch.

I tried to build the port with poudriere and failed with the following error (a full build log attached).


====> Running Q/A tests (stage-qa)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: share/locale/nn/LC_MESSAGES/telegram-purple.mo
===> Checking for items in pkg-plist which are not in STAGEDIR
===> Error: Plist issues found.
*** Error code 1

Stop.
make: stopped in /usr/ports/net-im/telegram-purple


It seems pkg-plist needs an update.
Comment 7 jjuanino 2020-05-03 11:37:37 UTC
Created attachment 214055 [details]
net-im/telegram-purple: update to 1.4.3

Hi, sorry for the mistake. I submit a new patch with the missing nls file. Regards
Comment 8 Hiroki Tagato freebsd_committer 2020-05-05 05:45:33 UTC
Hi, thanks for updating the patch. I guess there is a little room for improvement in Makefile.

Currently, the NLS option is handled as follows:

OPTIONS_DEFINE= NLS

.include <bsd.port.options.mk>

.if ${PORT_OPTIONS:MNLS}
USES+=          gettext
PLIST_SUB+=     NLS=""
.else
CONFIGURE_ARGS+=        --disable-translation
PLIST_SUB+=             NLS="@comment "
.endif

This can be rewritten as:

OPTIONS_DEFINE= NLS
OPTIONS_SUB=	yes
NLS_USES=       gettext
NLS_CONFIGURE_OFF=    --disable-translation

See Section 5.13.3 Options Helpers of Porter's Handbook.
(https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/makefile-options.html)

Can you update the patch accordingly?
Comment 9 jjuanino 2020-05-05 10:35:18 UTC
Created attachment 214152 [details]
net-im/telegram-purple: update to 1.4.3

Hi, thank you for your feedback. I submit a new patch including your suggestions. Regards
Comment 10 commit-hook freebsd_committer 2020-05-05 12:53:35 UTC
A commit references this bug:

Author: tagattie
Date: Tue May  5 12:53:32 UTC 2020
New revision: 534083
URL: https://svnweb.freebsd.org/changeset/ports/534083

Log:
  - Update to 1.4.3
  - Redefine NLS option handling
  - Add USES=localbase:ldflags instead of LDFLAGS+=-L${LOCALBASE}/lib
  - Substitute command sha256sum by sha256 in Makefile.in files

  PR:		243985
  Submitted by:	jjuanino@gmail.com (maintainer)
  Approved by:	ehaupt (mentor)
  Changelog:	https://github.com/majn/telegram-purple/releases/tag/v1.4.2
  		https://github.com/majn/telegram-purple/releases/tag/v1.4.3

Changes:
  head/net-im/telegram-purple/Makefile
  head/net-im/telegram-purple/distinfo
  head/net-im/telegram-purple/files/patch-Makefile.in
  head/net-im/telegram-purple/files/patch-commit.h.gen
  head/net-im/telegram-purple/files/patch-tgl-Makefile.in
  head/net-im/telegram-purple/files/patch-tgl_tl-parser_portable__endian.h
  head/net-im/telegram-purple/pkg-plist
Comment 11 Hiroki Tagato freebsd_committer 2020-05-05 12:54:35 UTC
Committed, thanks!